﻿@model IEnumerable<WebApplication2.Models.LeaveApplicationData>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/mainMasterLayout.cshtml";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Application_no)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.username)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LeaveTypeId)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.StartingDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.EndingDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ApplyDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.NoOfDays)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LeavePurpose)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Application_no)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.username)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.LeaveTypeId)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.StartingDate)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.EndingDate)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ApplyDate)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.NoOfDays)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.LeavePurpose)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { /* id=item.PrimaryKey */ }) |
            @Html.ActionLink("Details", "Details", new { /* id=item.PrimaryKey */ }) |
            @Html.ActionLink("Delete", "Delete", new { /* id=item.PrimaryKey */ })
        </td>
    </tr>
}

</table>
